#include <iostream>

using namespace std;
long long a[2000002];
int main()
{
    long long n,k,x,b=0;
    cin>>n>>k;
    for(int i=0;i<n;i++)
    {
       cin>>x;
       a[x]++;
    }
    for(int i=0-n;i<=n;i++)
    {
        if(a[i]>=k) b++;
    }
    cout<<b<<endl;
    for(int i=0-n;i<=n;i++)
    {
        if(a[i]>=k) cout<<i<<" ";
    }
    cout<<endl;
    return 0;
}